Bug 181556 - www/phalcon checksum mismatch
Summary: www/phalcon checksum mismatch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-26 13:00 UTC by John Marino
Modified: 2017-04-08 13:03 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-08-26 13:00:00 UTC
phalcon github download doesn't match distinfo, unfetchable:

=> phalcon-v1.2.3.tar.gz doesn't seem to exist in /usr/distfiles/.
=> Attempting to fetch https://github.com/phalcon/cphalcon/archive/v1.2.3/phalcon-v1.2.3.tar.gz
fetch: https://github.com/phalcon/cphalcon/archive/v1.2.3/phalcon-v1.2.3.tar.gz: size unknown
fetch: https://github.com/phalcon/cphalcon/archive/v1.2.3/phalcon-v1.2.3.tar.gz: size of remote file is not known
phalcon-v1.2.3.tar.gz                                   -1  B  532 kBps
===> Fetching all distfiles required by phalcon-1.2.3 for building
===>  License BSD accepted by the user
===>   phalcon-1.2.3 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by phalcon-1.2.3 for building
=> SHA256 Checksum mismatch for phalcon-v1.2.3.tar.gz.
===>  Giving up on fetching files: phalcon-v1.2.3.tar.gz
Comment 1 Edwin Groothuis freebsd_committer 2013-08-26 13:00:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-08-26 13:00:07 UTC
Maintainer of www/phalcon,

Please note that PR ports/181556 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181556

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 linpct 2013-08-26 16:13:43 UTC
Hi, I found that 10 days ago there is a v1.2.3 update:

https://github.com/phalcon/cphalcon/releases

So, please help me make makesum again and commit, Thanks.

SHA256 (phalcon-v1.2.3.tar.gz) =
e8630c78416264b99af9d5205d1840d1a4383c4416c6e4cc887987f8466b7afc
SIZE (phalcon-v1.2.3.tar.gz) = 2573572


2013/8/26 Edwin Groothuis <edwin@freebsd.org>

> Maintainer of www/phalcon,
>
> Please note that PR ports/181556 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181556
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>



-- 
Daniel Lin (pct)
Comment 4 dfilter service freebsd_committer 2013-08-31 00:48:09 UTC
Author: bdrewery
Date: Fri Aug 30 23:48:01 2013
New Revision: 325738
URL: http://svnweb.freebsd.org/changeset/ports/325738

Log:
  - Upstream rerolled
  
  Changed commit:
    https://github.com/phalcon/cphalcon/commit/f118bc591108adc6afe180f11d4b36ee08271375
  
  PR:		ports/181556
  Reported by:	marino
  Submitted by:	Daniel Lin <linpct@gmail.com> (maintainer)

Modified:
  head/www/phalcon/distinfo

Modified: head/www/phalcon/distinfo
==============================================================================
--- head/www/phalcon/distinfo	Fri Aug 30 23:47:19 2013	(r325737)
+++ head/www/phalcon/distinfo	Fri Aug 30 23:48:01 2013	(r325738)
@@ -1,2 +1,2 @@
-SHA256 (phalcon-v1.2.3.tar.gz) = 2735799c2d6c51f398c8e19d4f48b00d03c8296770fbebf1c4e42b92341c44bb
-SIZE (phalcon-v1.2.3.tar.gz) = 2570741
+SHA256 (phalcon-v1.2.3.tar.gz) = e8630c78416264b99af9d5205d1840d1a4383c4416c6e4cc887987f8466b7afc
+SIZE (phalcon-v1.2.3.tar.gz) = 2573572
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Bryan Drewery freebsd_committer 2013-08-31 00:50:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 6 Bryan Drewery freebsd_committer 2013-08-31 00:50:30 UTC
State Changed
From-To: feedback->closed

Fixed
Comment 7 commit-hook freebsd_committer 2017-04-08 13:03:42 UTC
A commit references this bug:

Author: matthew
Date: Sat Apr  8 13:02:36 UTC 2017
New revision: 438042
URL: https://svnweb.freebsd.org/changeset/ports/438042

Log:
  Update to 0.04.

  Correctly apply the anticongestion sleep time.  Pointy hat to me for
  copying too literally.

  PR:		181556
  Reported by:	asomers

Changes:
  head/mail/sa-utils/Makefile
  head/mail/sa-utils/files/sa-utils.in